package RecaudoPin.data;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class BD {
  private String user;
  
  private String password;
  
  private String url;
  
  private String driverClassName;
  
  private Connection conn = null;
  
  private Statement stmt;
  
  public BD(String user, String password, String url, String driverClassName) {
    this.user = user;
    this.password = password;
    this.url = url;
    this.driverClassName = driverClassName;
  }
  
  public BD() {
    this.user = "root";
    this.password = "tupass";
    this.url = "jdbc:mysql://localhost/tu_basedatos";
    this.driverClassName = "com.mysql.jdbc.Driver";
  }
  
  public String getPassword() {
    return this.password;
  }
  
  public String getUrl() {
    return this.url;
  }
  
  public String getUser() {
    return this.user;
  }
  
  public void setPassword(String password) {
    this.password = password;
  }
  
  public void setUrl(String url) {
    this.url = url;
  }
  
  public Connection getConn() {
    return this.conn;
  }
  
  public void setConn(Connection conn) {
    this.conn = conn;
  }
  
  public void setDriverClassName(String driverClassName) {
    this.driverClassName = driverClassName;
  }
  
  public String getDriverClassName() {
    return this.driverClassName;
  }
  
  public void setUser(String user) throws SQLException {
    this.user = user;
  }
  
  public void conectar() throws Exception {
    Class.forName(this.driverClassName).newInstance();
    this.conn = DriverManager.getConnection(this.url, this.user, this.password);
  }
  
  public ResultSet obtenerDatos(String sql) throws SQLException {
    this.stmt = this.conn.createStatement();
    return this.stmt.executeQuery(sql);
  }
  
  public void actualizar(String sql) throws SQLException {
    this.stmt = this.conn.createStatement();
    this.stmt.executeUpdate(sql);
  }
  
  public ResultSet ExeGet(String Q) throws SQLException {
    Statement st = this.conn.createStatement();
    return st.executeQuery(Q);
  }
  
  public int Exe(String Q) throws SQLException {
    Statement st = this.conn.createStatement();
    return st.executeUpdate(Q);
  }
  
  public void Off() {
    try {
      if (this.conn != null)
        this.conn.close(); 
    } catch (SQLException sQLException) {}
  }
}
