package com.recaudosbancos.service;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;

@WebServiceClient(name = "ServicioRecaudosBancos", targetNamespace = "http://service.recaudosbancos.com/", wsdlLocation = "file:/F:/NetbeansProyects/clientecaquetaath/src/ServicioRecaudosBancos_produccion.wsdl")
public class ServicioRecaudosBancos extends Service {
  private static final URL SERVICIORECAUDOSBANCOS_WSDL_LOCATION;
  
  private static final WebServiceException SERVICIORECAUDOSBANCOS_EXCEPTION;
  
  private static final QName SERVICIORECAUDOSBANCOS_QNAME = new QName("http://service.recaudosbancos.com/", "ServicioRecaudosBancos");
  
  static {
    URL url = null;
    WebServiceException e = null;
    try {
      url = new URL("file:/F:/NetbeansProyects/clientecaquetaath/src/ServicioRecaudosBancos_produccion.wsdl");
    } catch (MalformedURLException ex) {
      e = new WebServiceException(ex);
    } 
    SERVICIORECAUDOSBANCOS_WSDL_LOCATION = url;
    SERVICIORECAUDOSBANCOS_EXCEPTION = e;
  }
  
  public ServicioRecaudosBancos() {
    super(__getWsdlLocation(), SERVICIORECAUDOSBANCOS_QNAME);
  }
  
  public ServicioRecaudosBancos(WebServiceFeature... features) {
    super(__getWsdlLocation(), SERVICIORECAUDOSBANCOS_QNAME, features);
  }
  
  public ServicioRecaudosBancos(URL wsdlLocation) {
    super(wsdlLocation, SERVICIORECAUDOSBANCOS_QNAME);
  }
  
  public ServicioRecaudosBancos(URL wsdlLocation, WebServiceFeature... features) {
    super(wsdlLocation, SERVICIORECAUDOSBANCOS_QNAME, features);
  }
  
  public ServicioRecaudosBancos(URL wsdlLocation, QName serviceName) {
    super(wsdlLocation, serviceName);
  }
  
  public ServicioRecaudosBancos(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
    super(wsdlLocation, serviceName, features);
  }
  
  @WebEndpoint(name = "ServicioRecaudosBancosSoap")
  public ServicioRecaudosBancosSoap getServicioRecaudosBancosSoap() {
    return getPort(new QName("http://service.recaudosbancos.com/", "ServicioRecaudosBancosSoap"), ServicioRecaudosBancosSoap.class);
  }
  
  @WebEndpoint(name = "ServicioRecaudosBancosSoap")
  public ServicioRecaudosBancosSoap getServicioRecaudosBancosSoap(WebServiceFeature... features) {
    return getPort(new QName("http://service.recaudosbancos.com/", "ServicioRecaudosBancosSoap"), ServicioRecaudosBancosSoap.class, features);
  }
  
  @WebEndpoint(name = "ServicioRecaudosBancosSoap12")
  public ServicioRecaudosBancosSoap getServicioRecaudosBancosSoap12() {
    return getPort(new QName("http://service.recaudosbancos.com/", "ServicioRecaudosBancosSoap12"), ServicioRecaudosBancosSoap.class);
  }
  
  @WebEndpoint(name = "ServicioRecaudosBancosSoap12")
  public ServicioRecaudosBancosSoap getServicioRecaudosBancosSoap12(WebServiceFeature... features) {
    return getPort(new QName("http://service.recaudosbancos.com/", "ServicioRecaudosBancosSoap12"), ServicioRecaudosBancosSoap.class, features);
  }
  
  private static URL __getWsdlLocation() {
    if (SERVICIORECAUDOSBANCOS_EXCEPTION != null)
      throw SERVICIORECAUDOSBANCOS_EXCEPTION; 
    return SERVICIORECAUDOSBANCOS_WSDL_LOCATION;
  }
}
