package com.recaudosbancos.service;

import generated.DetalleRequestPin;
import generated.ObjectFactory;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

@WebService(name = "ServicioRecaudosBancosSoap", targetNamespace = "http://service.recaudosbancos.com/")
@XmlSeeAlso({ObjectFactory.class, ObjectFactory.class})
public interface ServicioRecaudosBancosSoap {
  @WebMethod(operationName = "ConsultaRecaudoPin", action = "http://service.recaudosbancos.com/ConsultaRecaudoPin")
  @WebResult(name = "ConsultaRecaudoPinResult", targetNamespace = "http://service.recaudosbancos.com/")
  @RequestWrapper(localName = "ConsultaRecaudoPin", targetNamespace = "http://service.recaudosbancos.com/", className = "com.recaudosbancos.service.ConsultaRecaudoPin")
  @ResponseWrapper(localName = "ConsultaRecaudoPinResponse", targetNamespace = "http://service.recaudosbancos.com/", className = "com.recaudosbancos.service.ConsultaRecaudoPinResponse")
  ConsultaRecaudoResponsesSYCPin consultaRecaudoPin(@WebParam(name = "dto", targetNamespace = "") DetalleRequestPin paramDetalleRequestPin);
  
  @WebMethod(operationName = "NotificacionRecaudoPin", action = "http://service.recaudosbancos.com/NotificacionRecaudoPin")
  @WebResult(name = "NotificacionRecaudoPinResult", targetNamespace = "http://service.recaudosbancos.com/")
  @RequestWrapper(localName = "NotificacionRecaudoPin", targetNamespace = "http://service.recaudosbancos.com/", className = "com.recaudosbancos.service.NotificacionRecaudoPin")
  @ResponseWrapper(localName = "NotificacionRecaudoPinResponse", targetNamespace = "http://service.recaudosbancos.com/", className = "com.recaudosbancos.service.NotificacionRecaudoPinResponse")
  NotificacionRecaudoResponsesSYCPin notificacionRecaudoPin(@WebParam(name = "dto", targetNamespace = "") DetalleRequestPin paramDetalleRequestPin);
  
  @WebMethod(operationName = "ReversionRecaudoPin", action = "http://service.recaudosbancos.com/ReversionRecaudoPin")
  @WebResult(name = "ReversionRecaudoPinResult", targetNamespace = "http://service.recaudosbancos.com/")
  @RequestWrapper(localName = "ReversionRecaudoPin", targetNamespace = "http://service.recaudosbancos.com/", className = "com.recaudosbancos.service.ReversionRecaudoPin")
  @ResponseWrapper(localName = "ReversionRecaudoPinResponse", targetNamespace = "http://service.recaudosbancos.com/", className = "com.recaudosbancos.service.ReversionRecaudoPinResponse")
  RespuestaReversionPin reversionRecaudoPin(@WebParam(name = "dto", targetNamespace = "") DetalleRequestPin paramDetalleRequestPin);
}
